import { Guide, News, NewsQueryDTO } from "@/types/news";
import flyio from "../flyio";
import { ApiResponseList } from "@/types";

/**
 * 获取新闻列表
 * @returns 
 */
export function getNewsMainList() {
  return flyio.get('/front/news/getMainListNoToken') as Promise<ApiResponseList<Guide>>;
}

/**
 * 获取资讯列表
 * @returns 
 */
export function getNewsListNoToken(params: NewsQueryDTO) {
  return flyio.get('/front/news/listNoToken', params) as Promise<ApiResponseList<News>>;
}
